Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Class ConsumerClosedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  weblogic.jms.common.JMSException
                      weblogic.jms.extensions.ConsumerClosedException

All Implemented Interfaces:
  Serializable

    public final class ConsumerClosedException

extends weblogic.jms.common.JMSException

`ConsumerClosedException` is delivered to the ExceptionListener for a session (if set), when one of session's consumer is closed by the server as a result of a server failure or administrative intervention.

See Also:
  Serialized Form

Constructor Summary
`ConsumerClosedException(MessageConsumer consumer, String reason)` Constructs a `ConsumerClosedException` that includes the reason for exception.
`ConsumerClosedException(MessageConsumer consumer, String reason, String errorCode)` Constructs a `ConsumerClosedException` that includes a reason and an errorCode for exception.

Method Summary
`MessageConsumer` | `getConsumer()` Gets the reference to the consumer that was closed
`void` | `setConsumer(MessageConsumer consumer)` Sets a reference to the consumer that was closed.

Methods inherited from class weblogic.jms.common.JMSException
`getLinkedException, isInformational, setLinkedException`

Methods inherited from class javax.jms.JMSException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConsumerClosedException

    public ConsumerClosedException(MessageConsumer consumer,
                                   String reason,
                                   String errorCode)

  Constructs a `ConsumerClosedException` that includes a reason and an errorCode for exception.

  Parameters:
    `reason` - a description of the exception.
    `errorCode` - a string specifying the vendor specific error code.

### ConsumerClosedException

    public ConsumerClosedException(MessageConsumer consumer,
                                   String reason)

  Constructs a `ConsumerClosedException` that includes the reason for exception.

  Parameters:
    `reason` - the description of the exception.

Method Detail

### getConsumer

    public MessageConsumer getConsumer()

  Gets the reference to the consumer that was closed

  Returns:
    the reference to the consumer that was closed

### setConsumer

    public void setConsumer(MessageConsumer consumer)

  Sets a reference to the consumer that was closed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD